See the documentation for [Options](http://assemble.io/docs/Options.html) for more information.

#### [assets](http://assemble.io/docs/options-assets.html)
Type: `String`
Default: `undefined`

Used with the `{{assets}}` variable to resolve the relative path from the _dest file_ to the _assets_ folder.

#### [data](http://assemble.io/docs/options-data.html)
Type: `String|Array`
Default: `src/data`

Specify the data to supply to your templates. Data may be formatted in `JSON`, `YAML` or [YAML front matter](http://assemble.io/docs/YAML-front-matter.html).

#### [layoutdir](http://assemble.io/docs/options-layoutdir.html)
Type: `String`
Default: `undefined`

The directory to use as the "cwd" for [layouts](http://assemble.io/docs/options-layout.html). When this option is defined, layouts may be defined using only the name of the layout.

#### [layout](http://assemble.io/docs/options-layout.html)
Type: `String`
Default: `undefined`

If set, this defines the layout file to use for the [task or target][tasks-and-targets]. However, when specifying a layout, unlike Jekyll, _Assemble requires a file extension_ since you are not limited to using a single file type.

#### layoutext
Type: `String`
Default: `undefined`

Specify the extension to use for layouts, enabling layouts in YAML front matter to defined without an extension:

```yaml
---
layout: default
---
```

[tasks-and-targets]: http://gruntjs.com/configuring-tasks#task-configuration-and-targets

#### [partials](http://assemble.io/docs/options-partials.html)
Type:  `String|Array`
Default: `undefined`

Specifies the Handlebars partials files, or paths to the directories of files to be used.

#### [helpers](http://assemble.io/docs/options-helpers.html)
Type: `String|Array`
Default: [handlebars-helpers](http://github.com/assemble/handlebars-helpers)

Path to the custom helper or helpers to use with the current template engine.

Assemble includes [handlebars-helpers](http://assemble.io/docs/helpers/index.html) as a dependency, so any helpers from that library may be used in your templates.

#### postprocess
Type: `Function`
Default: `undefined`

Function to use for post-processing generated HTML. Example:

```js
options: {
  postprocess: function(src) {
    return require('frep').replaceStr(src, [
      {
        // replace "then" with "now"
        pattern: "then",
        replacement: "now"
      },
      {
        // replace "Ruby" with "JavaScript"
        pattern: "Ruby",
        replacement: "JavaScript"
      },
      {
        // replace "Jekyll" with "Assemble"
        pattern: "Jekyll",
        replacement: "Assemble"
      }
    ]);
  }
}
```

#### [ext](http://assemble.io/docs/options-ext.html)
Type: `String`
Default: `.html`

Specify the file extension for destination files. Example:

#### [marked](http://assemble.io/docs/options-marked.html)
Type: `Object`
Default: [Marked.js defaults](https://github.com/chjj/marked#options-1)

Specify the [Marked.js options](https://github.com/chjj/marked#options-1) for the `{{#markdown}}{{/markdown}}` and `{{md ""}}` helpers to use when converting content.

#### [engine](http://assemble.io/docs/options-engine.html)
Type: `String`
Default: `Handlebars` only use this option if you are **not** using Handlebars

Specify the engine to use for compiling templates **if you are not using Handlebars**. Currently, Handlebars is already set by default, but [assemble-swig](https://github.com/assemble/assemble-swig) is available for compiling [Swig Templates](https://github.com/paularmstrong).

#### flatten
Type: `Boolean`
Default: `false`

Remove anything after (and including) the first `.` in the destination path, then append this value. In other words, when files are generated from different source folders this "flattens" them into the same destination directory. See [building the files object dynamically][files-object] for more information on `files` formats.


Visit [Assemble's documentation](http://assemble.io) for more information about options.